Đến nội dung


Hình ảnh
- - - - -

Lisp tạo DIM mới vô cùng đơn giản!


  • Please log in to reply
2 replies to this topic

#1 naturooo

naturooo

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 20 November 2014 - 12:44 AM

Khi ta đã có DIM chuẩn với tỉ lệ 1:1, để tạo ra các DIM với các tỉ lệ khác như 1:100, 1:200, … ta có thể tạo với 1 câu lệnh đơn giản bằng lisp sau:

 

; --------------------nd = new dim----------------------
(defun c:nd()      (setvar "cmdecho" 0)
                        (setq a (getint "\nNhap ty le dim : "))
                        (setvar "dimscale" a) 
                        (itoa a)
                        ;(setq b (getstring "\Nhap ten dim: "))
                            (command "DIMSTYLE" "S" a)
)
 

 

:D


  • 0

#2 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 20 November 2014 - 08:53 AM

Chào mừng bạn đến diễn đàn.

Cảm ơn bạn vì chia sẻ. 

 

P/s : nếu bạn post code thì hãy cho vào tag code nhé (hình <>)

Lần này mình sửa giúp bạn 


  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#3 naturooo

naturooo

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 20 November 2014 - 10:35 AM

 Update dạng dim D100, D200, ... :)

 

http://www.cadviet.c...08_ndtaodim.lsp


  • 0